Bug report #18122

Can't open the Python Console in QGIS 2.99

Added by David Jordan over 2 years ago. Updated over 2 years ago.

Status:Closed
Priority:Normal
Assignee:-
Category:PyQGIS Console
Affected QGIS version:master Regression?:No
Operating System:Windows 10 64-bit Easy fix?:No
Pull Request or Patch supplied:No Resolution:duplicate
Crashes QGIS or corrupts data:No Copied to github as #:26016

Description

QGIS 2.99 master (6dfedc38e9) can't open the python console. This issue may be reproduced by selecting the menu "Plugins - Python Console" or pressing the shortcut key "CTRL + ALT + P".

It's related to Bug report #18121. When I tried to open the Python console in order to understand why Processing isn't working, the python console did not open. QGIS gave the following error...

SyntaxError: invalid syntax

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "", line 2, in 
  File "C:/OSGEO4~1/apps/qgis-dev/./python\console\console.py", line 48, in show_console
    _console = PythonConsole(parent)
  File "C:/OSGEO4~1/apps/qgis-dev/./python\console\console.py", line 84, in __init__
    self.console = PythonConsoleWidget(self)
  File "C:/OSGEO4~1/apps/qgis-dev/./python\console\console.py", line 110, in __init__
    self.shell = ShellScintilla(self)
  File "C:/OSGEO4~1/apps/qgis-dev/./python\console\console_sci.py", line 71, in __init__
    self.runsource(line)
  File "C:/OSGEO4~1/apps/qgis-dev/./python\console\console_sci.py", line 634, in runsource
    return super(ShellScintilla, self).runsource(source, filename, symbol)
  File "C:\OSGEO4~1\apps\Python36\lib\code.py", line 75, in runsource
    self.runcode(code)
  File "C:\OSGEO4~1\apps\Python36\lib\code.py", line 95, in runcode
    self.showtraceback()
  File "C:\OSGEO4~1\apps\Python36\lib\code.py", line 149, in showtraceback
    sys.excepthook(ei[0], ei[1], last_tb)
  File "C:/OSGEO4~1/apps/qgis-dev/./python\console\console_sci.py", line 630, in excepthook
    self.write(u"".join(traceback.format_exception(etype, value, tb)))
  File "C:/OSGEO4~1/apps/qgis-dev/./python\console\console_sci.py", line 614, in write
    sys.stderr.write(txt)
AttributeError: 'NoneType' object has no attribute 'write'

History

#1 Updated by Nyall Dawson over 2 years ago

  • Status changed from Open to Feedback

Please perform a complete removal/reinstall of QGIS -- this is not reproducible.

#2 Updated by David Jordan over 2 years ago

I just did (I think) a full removal/reinstall of QGIS. I deleted the OSGeo4W folder and reinstalled, but problem persists. Processing is not working either.

Is there anywhere else a settings or user folder might be hiding? I looked in ~/.local but couldn't find a QGIS3 folder there. I noticed, that despite deleting my OSGeo4W folder, my plugins are still installed, they're hiding somewhere. So I am not sure I was able to do a clean install. Let me know the procedure to ensure a complete removal/reinstall and I'll try again.

I just uninstalled all non-core plugins, but still the same. No processing and no Python Console.

#3 Updated by Jürgen Fischer over 2 years ago

  • Description updated (diff)

#4 Updated by Jürgen Fischer over 2 years ago

  • Resolution set to duplicate
  • Status changed from Feedback to Closed

duplicate of #18121

Also available in: Atom PDF